// Package org_accordproject_trademark_0_2_0 contains domain objects and was generated from Concerto namespace org.accordproject.trademark@0.2.0.
package org_accordproject_trademark_0_2_0
import "time"
import "org_accordproject_address_0_2_0";
import "org_accordproject_geo_0_2_0";
import "org_accordproject_person_0_2_0";
import "org_accordproject_usa_entity_0_2_0";
import "org_accordproject_color_0_2_0";
import "concerto_1_0_0";
   
type TrademarkAssetIdentifier struct {
   concerto_1_0_0.Concept
   AssetSerialNumber string `json:"assetSerialNumber"`
   AssetRegistrationNumber string `json:"assetRegistrationNumber"`
   AssetCountry Country `json:"assetCountry"`
}
type GoodsAndServices struct {
   concerto_1_0_0.Concept
   GsDescription string `json:"gsDescription"`
   IntlClass string `json:"intlClass"`
   UsClass string `json:"usClass"`
   CurrentFilingBasis string `json:"currentFilingBasis"`
   OrigFilingBasis string `json:"origFilingBasis"`
}
type Owner struct {
   org_accordproject_person_0_2_0.Person
}
type Registrant struct {
   org_accordproject_person_0_2_0.Person
}
type Assignee struct {
   org_accordproject_person_0_2_0.Person
}
type Correspondent struct {
   org_accordproject_person_0_2_0.Person
}
type Attorney struct {
   org_accordproject_person_0_2_0.Person
}
type MarkStatus int
const (
   Live MarkStatus = 1 + iota
   Dead
)
type MarkType int
const (
   Standard_Character MarkType = 1 + iota
   Special_Form
   Sound
)
type Register int
const (
   Principal Register = 1 + iota
   Supplemental
)
type TrademarkAsset struct {
   concerto_1_0_0.Concept
   AssetIdentifier TrademarkAssetIdentifier `json:"assetIdentifier"`
   EncodedMarkImage string `json:"encodedMarkImage"`
   MarkDescription string `json:"markDescription"`
   GoodsandServices []GoodsAndServices `json:"goodsandServices"`
   OriginalOwner Owner `json:"originalOwner"`
   EntityType EntityType `json:"entityType"`
   OriginalRegistrant Registrant `json:"originalRegistrant"`
   CurrentAssignee Assignee `json:"currentAssignee"`
   CurrentCorrespondent Correspondent `json:"currentCorrespondent"`
   AttorneyRepresentative Attorney `json:"attorneyRepresentative"`
   MarkStatus MarkStatus `json:"markStatus"`
   MarkType MarkType `json:"markType"`
   Register Register `json:"register"`
   LiteralElement string `json:"literalElement"`
   ColorClaim bool `json:"colorClaim"`
   ColorFeature []Color `json:"colorFeature"`
   FilingDate time.Time `json:"filingDate"`
   RegistrationDate time.Time `json:"registrationDate"`
}
